Bug 795500 - Tomcat plugin: discovery component does not discover Tomcat java processes running as users other than the RHQ Agent user
Tomcat plugin: discovery component does not discover Tomcat java processes ru...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.2
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-20 12:55 EST by Ian Springer
Modified: 2015-02-01 18:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2012-02-20 12:55:32 EST
Here's the code that prevents discovery:

        if (null == processInfo.getExecutable()) {
            log.debug("Ignoring Tomcat instance (agent may not be owner) with following command line: "
                + Arrays.toString(commandLine));
            return null;
        }

I think we can figure out another way to get the information provided by processInfo.getExecutable() and any other protected process info we currently rely on.
Comment 1 Mike Foley 2012-02-27 12:13:06 EST
triage 2/27/2012 mfoley, asantos, crouch, loleary

Note You need to log in before you can comment on or make changes to this bug.